main/urls.py
from django.urls import path

from . import views
from .views import mataKuliah, mataKuliahDetail, mataKuliahDelete

app_name = 'main'

urlpatterns = [
    path('', views.home, name='halamanHome'),
    path('verStory1/', views.verStory1, name='verStory1'),
    path('mataKuliahForm/', views.mataKuliahForm, name='mataKuliahForm'),
    path('mataKuliah/', mataKuliah.as_view(), name='mataKuliah'),
    path('mataKuliahDetail/<int:pk>', mataKuliahDetail.as_view(), name='mataKuliahDetail'),
    path('mataKuliahDetail/<int:pk>/hapus', mataKuliahDelete.as_view(), name='mataKuliahDelete'),
    # path('mataKuliahDelete/<matkul_id>', views.mataKuliahDelete, name='mataKuliahDelete'),
]

ppw_igam2/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/models.py
from django.db import models
from django.urls import reverse

# Create your models here.
class Matkul(models.Model):
    nama = models.CharField(max_length=20)
    dosen = models.CharField(max_length=20)
    sks = models.IntegerField()
    smesterTahun = models.CharField(max_length=20)
    kelas = models.CharField(max_length=20)
    deskripsi = models.TextField()

    def get_absolute_url(self):
        return reverse('mataKuliah')

main/forms.py
from typing import Type
from django import forms
from django.db.models.base import Model
from django.forms import fields

from .models import Matkul

class MatkulForm(forms.ModelForm):
    class Meta:
        model = Matkul
        fields = [
            'nama',
            'sks',
            'dosen',
            'smesterTahun',
            'kelas',
            'deskripsi'
        ]

        # widgets = {
        #     'nama': forms.TextInput(attrs={'class': 'form-control'}),
        #     'sks': forms.IntegerField(attrs={'class': 'form-control'}),
        #     'dosen': forms.TextInput(attrs={'class': 'form-control'}),
        #     'smesterTahun': forms.TextInput(attrs={'class': 'form-control'}),
        #     'kelas': forms.TextInput(attrs={'class': 'form-control'}),
        #     'deskripsi': forms.Textarea(attrs={'class': 'form-control'})
        # }

main/views.py
from django.shortcuts import render, get_object_or_404, redirect
from django.http import HttpResponseRedirect
from django.urls import reverse, reverse_lazy
from django.views.generic import ListView, DetailView, DeleteView
from django.views.generic.base import View

from .models import Matkul
from .forms import MatkulForm

def home(request):
    return render(request, 'main/halamanHome.html')

def verStory1(request):
    return render(request, 'main/verStory1.html')

# def mataKuliah(request):
#     return render(request, 'main/mataKuliah.html')

class mataKuliah(ListView):
    model = Matkul
    template_name = 'main/mataKuliah.html'

class mataKuliahDetail(DetailView):
    model = Matkul
    template_name = 'main/mataKuliahDetail.html'

def mataKuliahForm(request):
    form = MatkulForm(request.POST or None)
    if form.is_valid():
        form.save()
        form = MatkulForm()
    
    context = {
        'form': form
    }
    return render(request, 'main/mataKuliahForm.html', context)

# def mataKuliahDelete(request):
#     Matkul.objects.all.delete()
#     return redirect('main/mataKuliah.html')  

class mataKuliahDelete(DeleteView):
    model = Matkul
    template_name = 'main/mataKuliahDelete.html'
    success_url = reverse_lazy('main:mataKuliah')

    # def get_success_url(self):
    #     return reverse('mataKuliah')
    

main/templates/main/halamanHome.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Aswina Mahendra
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>


    <body>
        <!-- Navbar -->
        <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <span class="navbar-brand mb-0 h1">Aswina Mahendra</span>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                        <a class="nav-link active" href="{% url 'main:halamanHome'%}">Home</a>
                        <a class="nav-link" href="{% url 'main:verStory1'%}">Story 1</a>
                        <a class="nav-link" href="{% url 'main:mataKuliah'%}">Mata Kuliah</a>
                    </div>
                </div>
            </div>
        </nav>
        
        <!-- Banner & Profile Pic -->
        <div class="banner">
            <div class="profile">
                <img src="{% static 'img/profile.jpg' %}" class="img-thumbnail d-sm-block mx-auto" alt="profile" width="334" height="445">
            </div>
            <div class="container-fluid">
                <div class=" text-center">
                    <h1 class="display-4">I Gusti Aswina Mahendra</h1>
                    <p class="lead" style="color: black;">Mahasiswa | Video editor | Web Designer newbie</p>
                </div>
            </div>
        </div>
        

        <!-- Biodata -->
        <div class="container biodata rounded">
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="text-center" style="color: white;">Biodata</h1>
                    <hr style="border-top: 2px solid #94ddff;">
                </div>
            </div>
            <div class="row">
                <div class="col-sm-3 offset-3">
                    <p style="font-size: larger;">NPM: 1906318243</p>
                    <p style="font-size: larger;">Fakultas: Ilmu Komputer</p>
                    <p style="font-size: larger;">Angkatan: Maung</p>
                    <p style="font-size: larger;">Alamat: Tangerang Selatan</p>
                    <p style="font-size: larger;">Usia: 19 Tahun</p>
                </div>
                <div class="col-sm-3">
                    <p style="font-size: larger;">2007-2013: SDN Gunung 01 Jakarta</p>
                    <p style="font-size: larger;">2013-2016: SMPN 19 Jakarta</p>
                    <p style="font-size: larger;">2016-2019: SMAN 47 Jakarta</p>
                    <p style="font-size: larger;">2007-Sekarang: Universitas Indonesia</p>
                </div>
            </div>
        </div>


        <!-- Karya -->
        <div class="container boxSetelahBiodata rounded">
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="text-center" style="color: white;">Karya Saya</h1>
                    <hr style="border-top: 2px solid #94ddff;"> 
                </div>
            </div>
            <div class="row">
                <div class="col-sm-4">
                    <img src="{% static 'img/OneTrip.png' %}" alt="OneTrip" class="figure-img img-fluid">
                </div>
                <div class="col-sm-8">
                    <h2 class="text-left" style="color: white;">One Trip</h2>
                    <p class="text-justify">
                        One Trip merupakan film pendek yang kelompok saya buat saat SMA untuk lomba film pendek wilayah Jakarta Selatan.
                    </p>
                </div>
            </div>
            <br>
            <div class="row">
                <div class="col-sm-4">
                    <img src="{% static 'img/Rantau.png' %}" alt="Rantau" class="figure-img img-fluid">
                </div>
                <div class="col-sm-8">
                    <h2 class="text-left" style="color: white;">Rantau</h2>
                    <p class="text-justify">
                        Rantau adalah film pendek yang dibuat oleh saya dan teman-teman 
                        saya saat diadakan Lomba Sinematografi.
                    </p>
                </div>
            </div>
        </div>

        <!-- Tantang Saya -->
        <div class="container boxSetelahBiodata rounded">
            <div class="row">
                <div class="col-sm-12">
                    <h1 class="text-center" style="color: white;">Tentang Saya</h1>
                    <hr style="border-top: 2px solid #94ddff;"> 
                </div>
            </div>
            <div class="row">
                <div class="col-sm-10 offset-1">
                    <p style="font-size: larger; ">
                        Saya merupakan anak tunggal yang dibesarkan di Banten. Keluarga saya adalah keturunan dari Bali, namun walaupun demikian saya jarang ke Bali.
                    </p>
                    <p style="font-size: larger;">
                        Saya menderita Obesitas II, namun postur tubuhku menyembunyikan kelebihan lemak tersebut. Namun saya tetap kukuh untuk menurunkan berat badan dengan diet berat dan olahraga yang teratur.
                    </p>
                </div>
            </div>
        </div>
        <br>

        <!-- Slide Foto -->
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <figure class="figure">
                        <img src="{% static 'img/1.jpg' %}" class="figure-img img-fluid rounded" alt="foto2">
                        <figcaption class="figure-caption text-center">Sembahyang ke Gunung Salak.</figcaption>
                    </figure>
                </div>
                <div class="col-lg-4">
                    <figure class="figure">
                        <img src="{% static 'img/2.jpg' %}" class="figure-img img-fluid rounded" alt="foto2">
                        <figcaption class="figure-caption text-center">Kelulusan SMA 47.</figcaption>
                    </figure>
                </div>
                <div class="col-lg-4">
                    <figure class="figure">
                        <img src="{% static 'img/3.jpg' %}" class="figure-img img-fluid rounded" alt="foto2">
                        <figcaption class="figure-caption text-center">Dufan bersama teman.</figcaption>
                    </figure>
                </div>
            </div>
        </div>
        <br>

        <!-- Footer -->
        <footer>
            <div class="container">
                <div class=" text-center">
                    <p>Built by Aswina Mahendra</p>
                </div>
                <div class="text-sm-center">
                    <a href="https://www.instagram.com/aswina_mahendra/"><img src="{% static 'img/instagram.png' %}" alt="instagram" width="64" height="64" style="margin: 10px;"></a>
                    <a href="https://web.facebook.com/aswina.mahendra/"><img src="{% static 'img/facebook.png' %}" alt="facebook" width="64" height="64" style="margin: 10px;"></a>
                    <a href="https://youtu.be/dQw4w9WgXcQ"><img src="{% static 'img/youtube.png' %}" alt="youtube" width="64" height="64" style="margin: 10px;"></a>
                </div>
            </div>
        </footer>


        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    </body>
</html>

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

main/templates/main/mataKuliah.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Mata Kuliah
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>

    <body>
        <!-- Navbar -->
        <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <span class="navbar-brand mb-0 h1">Aswina Mahendra</span>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                        <a class="nav-link" href="{% url 'main:halamanHome'%}">Home</a>
                        <a class="nav-link" href="{% url 'main:verStory1'%}">Story 1</a>
                        <a class="nav-link active" href="{% url 'main:mataKuliah'%}">Mata Kuliah</a>
                    </div>
                </div>
            </div>
        </nav>

        <div>
            <br><br><br>

            <ul style="color: white;">
            {%for matkul in object_list %}
                <li><a href="{% url 'main:mataKuliahDetail' matkul.pk %}">{{ matkul.nama }}</a> - {{ matkul.sks }}</li>
            {% endfor %}
            </ul>   

            <a class="btn btn-primary" href="{% url 'main:mataKuliahForm' %}" role="button">Tambah</a>
        </div>        

        
    </body>
    

main/templates/main/mataKuliahDelete.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Hapus Mata Kuliah
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>

    <body>
        <h1 style="color: white;">Hapus Mata Kuliah {{ matkul.nama }}?</h1>
        <hr style="border-top: 2px solid #94ddff;">
        <br>
        <form method="POST">
            {% csrf_token %}
            <strong style="color: white;">Apakah anda yakin?</strong><br>
            <a href="{% url 'main:mataKuliah' %}" type="button" class="btn btn-secondary">Kembali</a>
            <input type="submit" class="btn btn-danger" value="Hapus">
        </form>   
    </body>
</html>

main/templates/main/mataKuliahDetail.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Mata Kuliah
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>

    <body>
        <!-- Navbar -->
        <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <span class="navbar-brand mb-0 h1">Aswina Mahendra</span>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                        <a class="nav-link" href="{% url 'main:halamanHome'%}">Home</a>
                        <a class="nav-link" href="{% url 'main:verStory1'%}">Story 1</a>
                        <a class="nav-link active" href="{% url 'main:mataKuliah'%}">Mata Kuliah</a>
                    </div>
                </div>
            </div>
        </nav>

        <div style="color: white;">
            <br><br><br>

            <h1>{{ matkul.nama }}</h1>
            <hr style="border-top: 2px solid #94ddff;">
            <br>

            <p>SKS: {{ matkul.sks }}</p><br>
            <p>Dosen: {{ matkul.dosen }}</p><br>
            <p>Smester: {{ matkul.smesterTahun }} </p><br>
            <p>Kelas: {{ matkul.kelas }}</p><br>
            {{ matkul.deskripsi }}

            <br><br>
            <a class="btn btn-secondary" href="{% url 'main:mataKuliah' %}" role="button">Kembali</a>
            <a class="btn btn-danger" href="{% url 'main:mataKuliahDelete' matkul.id %}">Hapus</a>
            
        </div>        

        
    </body>
    

main/templates/main/mataKuliahForm.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Tambah Mata Kuliah
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>

    <body>
        <h1 style="color: white;">Tambah Mata Kuliah</h1>
        <hr style="border-top: 2px solid #94ddff;">
        <br>
        <!-- <div class="form-group"> -->
            <form method="POST">
                {% csrf_token %}
                {{ form.as_p }}
                <a href="{% url 'main:mataKuliah' %}" type="button" class="btn btn-secondary">Kembali</a>
                <input type="submit" class="btn btn-primary" value="Tambah"/>
            </form>   
        <!-- </div>    -->
    </body>
</html>

main/templates/main/verStory1.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <title>
            Aswina Mahendra
        </title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'css/style2.css' %}">
    </head>

    <style>
        .tulisanPutih {
            color: white;
        }
    </style>

    <body>
        <!-- Navbar -->
        <nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark">
            <div class="container-fluid">
                <span class="navbar-brand mb-0 h1">Aswina Mahendra</span>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
                    <div class="navbar-nav">
                        <a class="nav-link" href="{% url 'main:halamanHome'%}">Home</a>
                        <a class="nav-link active" href="{% url 'main:verStory1'%}">Story 1</a>
                        <a class="nav-link" href="{% url 'main:mataKuliah'%}">Mata Kuliah</a>
                    </div>
                </div>
            </div>
        </nav>
        

        <div class="tulisanPutih">
            <br><br><br>
            <h1>Profil</h1>
            <div>
                <h2>Halo, nama saya I Gusti Aswina Mahendra</h2>
            </div>
            <div>
                <b>NPM: </b>1906318243
            </div>
            <div>
                <b>Angkatan: </b>Maung
            </div>
            <div>
                <b>Kuliah: </b>Universitas Indonesia Fakultas Ilmu Komputer
            </div>
            <div>
                <img src="{% static 'img/profile.jpg' %}" class="img-thumbnail" width="334" height="445">
            </div>
            <div>
                <b>Tentang saya: </b>
            </div>
            <div>
                Saya adalah salah satu mahasiswa Universitas Indonesia angkatan 2019.
            </div>
            <div>
                Saat ini saya berumur 19 tahun dan telah memiliki sedikit pengetahuan
                tentang ilmu komputer.
            </div>
            <div>
                Hobiku adalah mendengarkan musik jika tidak ada
                kegiatan lain.
            </div>
            <div>
                <h3>Riwayat pendidikan: </h3>
            </div>
            <div>
                <b>2007 - 2013: </b>SDN Gunung 01 Jakarta
            </div>
            <div>
                <b>2013 - 2016: </b>SMPN 19 Jakarta
            </div>
            <div>
                <b>2016 - 2019: </b>SMAN 47 Jakarta
            </div>
            <div>
                <b>2019 - Sekarang: </b>Universitas Indonesia
            </div>
            <div>
                <p><b>Media sosial:</b></p>
            </div>
            <div>
                Line: 12344565
            </div>
            <div>
                Instagram: aswina_mahendra
            </div>
            <div>
                Youtube: -none-
            </div>
        </div>
        

        <!-- Footer -->
        <footer>
            <div class="container">
                <div class=" text-center">
                    <p>Built by Aswina Mahendra</p>
                </div>
                <div class="text-sm-center">
                    <a href="https://www.instagram.com/aswina_mahendra/"><img src="{% static 'img/instagram.png' %}" alt="instagram" width="64" height="64" style="margin: 10px;"></a>
                    <a href="https://web.facebook.com/aswina.mahendra/"><img src="{% static 'img/facebook.png' %}" alt="facebook" width="64" height="64" style="margin: 10px;"></a>
                    <a href="https://youtu.be/dQw4w9WgXcQ"><img src="{% static 'img/youtube.png' %}" alt="youtube" width="64" height="64" style="margin: 10px;"></a>
                </div>
            </div>
        </footer>


        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    </body>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>